.main-timeline {
    padding: 25px 0 0;
}

.main-timeline:after {
    content: '';
    display: block;
    clear: both;
}

.main-timeline:before {
    content: '';
    border-left: 7px dotted #474050;
    height: 100%;
    width: 7px;
    transform: translateX(-50%);
    position: absolute;
    left: 50%;
    top: 0;
    z-index: 1;
}

.main-timeline .timeline {
    margin: 0 0 30px 0;
}

.main-timeline .timeline-content {
    color: #999;
    font-size: 0;
    text-align: center;
    padding-left: calc(50% + 50px);
    border: 3px #ccc solid;
    border-radius: 20px;
    display: block;
    position: relative;
}

.main-timeline .timeline-content:hover {
    text-decoration: none;
}

.main-timeline .timeline-icon {
    color: #fff;
    background: #ff5a44;
    font-size: 30px;
    line-height: 103px;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    transform: translateX(-50%) translateY(-50%);
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
}

.main-timeline .inner-content {
    padding: 20px;
}

.main-timeline .description {
    font-size: 1rem;
    font-weight: 500;
    line-height: 22px;
    margin: 0;
    padding: 20px;
    border-radius: 20px;
    background: #fff;
}

.main-timeline .timeline:nth-child(even) .timeline-content {
    padding-left: 0;
    padding-right: calc(50% + 50px);
}

.main-timeline .timeline:nth-child(4n+2) .timeline-icon {
    background-color: #fc7f25;
}

.main-timeline .timeline:nth-child(4n+3) .timeline-icon {
    background-color: #8358b5;
}

.main-timeline .timeline:nth-child(4n+4) .timeline-icon {
    background-color: #a7d815;
}

@media screen and (max-width:767px){
    .main-timeline:before {
        border-left: none;
    }

    .main-timeline .timeline-content,
    .main-timeline .timeline:nth-child(even) .timeline-content {
        padding: 140px 20px 30px;
    }

    .main-timeline .timeline-icon {
        transform: translateX(-50%) translateY(0);
        top: 30px;
        left: 50%;
    }

    .main-timeline .inner-content {
        background-color: #fff;
        padding: 10px 0;
        border-radius: 20px;
        position: relative;
        z-index: 1;
    }
}